# Set-RASNotificationScript.md

## NAME

Set-RASNotificationScript

## SYNOPSIS

Update notification script.

## SYNTAX

**Set-RASNotificationScript** -[Id](#id-string) *(uint)* \[[Arguments](#arguments-string) *(string)*] \[[Command](#command-string) *(string)*] \[[InitialDirectory](#initialdirectory-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Password](#password-string) *(SecureString)*] \[[Username](#username-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASNotificationScript -[InputObject](#inputobject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)* \[[Arguments](#arguments-string) *(string)*] \[[Command](#command-string) *(string)*] \[[InitialDirectory](#initialdirectory-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Password](#password-string) *(SecureString)*] \[[Username](#username-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASNotificationScript -[Name](#name-string) *(string)* \[[Arguments](#arguments-string) *(string)*] \[[Command](#command-string) *(string)*] \[[InitialDirectory](#initialdirectory-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Password](#password-string) *(SecureString)*] \[[SiteId](#siteid-string) *(uint)*] \[[Username](#username-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates an existing script.

## PARAMETERS

## Name (string)

Script name.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Script ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)) Input object from pipe line or by parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NewName (string)

A new script name to assign.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Command (string)

Command to execute when invoked.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Arguments (string)

Command arguments.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InitialDirectory (string)

Script base directory.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

Execute script as this system user.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

System user password.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASNotificationScript -Id 12 -Arguments "(\`$HOSTPOOL) (\`$CA) (\`$FARM-NAME)" -Command "otherScript.py"

Updates notification script with Id 12 using specified parameter values.\
\*\*---------- EXAMPLE 2 ----------

Set-RASNotificationScript -Name "notif\_script" -Arguments "(\`$HOSTPOOL) (\`$CA) (\`$FARM-NAME)" -Command "otherScript.py"

Updates notification script named 'notif\_script' using specified parameter values.\
\*\*---------- EXAMPLE 3 ----------

Get-NotificationScript -Id 12 | Set-RASNotificationScript -Arguments "(\`$HOSTPOOL)(\`$CA)(\`$FARM-NAME)" -Command "otherScript.py"

Updates notification script from pipeline using specified parameter values.

## RELATED LINKS

* [Get-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasnotificationscript.md)
* [New-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationscript.md)
* [Remove-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotificationscript.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasnotificationscript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
